! Copyright (C) 2019-2021:
!   Max Planck Institut fuer extraterrestrische Physik, Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
! redistribute it and/or modify it under the terms of the GNU General
! Public License as published by the Free Software Foundation; either
! version 2 of the License, or (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
! General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this library; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
! USA, or see https://www.gnu.org/licenses/.
!

program catprep_skymap_main
    use param

    use catprep_skymap_mod

    use erolib_general_mod
    use erolib_str_mod

    implicit none

    character(*), parameter :: function = "catprep_skymap_main"

    integer :: status, ierr
    type(tSkymap) :: skymap

    status = ok

    call skymap%open("SKYMAPS.fits", readonly, status)
    call skymap%read(status)
    call skymap%close(status)
    call skymap%open("SKYMAPS_EXT.fits", create, status)
    call skymap%write(status)
    call skymap%close(status)

end program catprep_skymap_main
